- setting = tracing_setting

%section.settings.border-0.no-animate
  .settings-header{ :class => 'border-top' }
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
      = _('Tracing')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = _('Expand')
    %p
      = _('Embed an image of your existing Jaeger server in GitLab.')
      = link_to _('Learn more.'), help_page_path('operations/tracing'), target: '_blank', rel: 'noopener noreferrer'
  .settings-content
    = form_for @project, url: project_settings_operations_path(@project), method: :patch do |f|
      = form_errors(@project)
      .form-group
        = f.fields_for :tracing_setting_attributes, setting do |form|
          = form.label :external_url, _('Jaeger URL'), class: 'label-bold'
          = form.url_field :external_url, class: 'form-control gl-form-input', placeholder: 'https://jaeger.example.com'
          %p.form-text.text-muted
            - jaeger_help_url = 'https://www.jaegertracing.io/docs/getting-started/'
            - link_start_tag = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: jaeger_help_url }
            - link_end_tag = "#{sprite_icon('external-link', css_class: 'gl-ml-2 gl-vertical-align-middle')}</a>".html_safe
            = _('Learn more about %{link_start_tag}Jaeger configuration%{link_end_tag}.').html_safe % { link_start_tag: link_start_tag, link_end_tag: link_end_tag }
      = f.submit _('Save changes'), class: 'gl-button btn btn-confirm'
